﻿&Вместо("УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете")
Процедура исперп_УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете(Объект)
	
	Если НЕ исперп_Правка
		.Включена(исперп_Идентификатор.ЭтапПроизводства2_2Локализация_УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете())
		Тогда	
		ПродолжитьВызов(Объект);	
		Возврат;
	КонецЕсли;
	
	Если Не Объект.Проведен Тогда
		Возврат;
	КонецЕсли;
	
	ПериодЗаполнения = Неопределено;
	Объект.ДополнительныеСвойства.Свойство("ПериодПерезаписиДвижений", ПериодЗаполнения);
	
	// Если после перепроведения данные документа не изменились, то все движения должны быть сохранены.
	// ПериодЗаполнения равный пустой дате соответствует режиму сохранения всех движений.
	// ПериодЗаполнения равный НЕОПРЕДЕЛЕНО соответствует режиму перезаписи всех движений.
	// ПериодЗаполнения равный началу месяца соответствует режиму сохранения движений в предыдущих месяцах и формированию
	// новых начиная с начала месяца.
	Если ПериодЗаполнения = Дата(1,1,1) Тогда
		ПериодЗаполнения = Дата(3000,1,1);
	ИначеЕсли ПериодЗаполнения = Неопределено Тогда
		ПериодЗаполнения = Дата(1,1,1);
	КонецЕсли;
	
	ТаблицаВыборочнойРегистрации = РеглУчетПроведениеСервер.ТаблицаВыборочнойРегистрацииКОтражению();
	
	ТаблицыДвижений = ПроведениеДокументов.ДанныеДокументаДляПроведения(Объект.Ссылка, "ОтражениеДокументовВРеглУчете");
	Для Каждого Строка Из ТаблицыДвижений.ТаблицаОтражениеДокументовВРеглУчете Цикл
		
		//// ::: *** сравнение стало на больше или РАВНО. Иначе первые числа месяца не попадают
		//Если Строка.ДатаОтражения > ПериодЗаполнения И ЗначениеЗаполнено(ПериодЗаполнения) Тогда
		Если Строка.ДатаОтражения >= ПериодЗаполнения И ЗначениеЗаполнено(ПериодЗаполнения) Тогда
			РеглУчетПроведениеСервер.ДобавитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете(
				ТаблицаВыборочнойРегистрации,
				Объект.Организация,
				Строка.ДатаОтражения);
		КонецЕсли;
		
	КонецЦикла;
	
	ПроведениеДокументов.ДобавитьТаблицуДанныхДокумента(Объект,
		"ТаблицаВыборочнойРегистрацииКОтражению", ТаблицаВыборочнойРегистрации);
	
КонецПроцедуры
